#
# spec file for package python-entrypoint2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-entrypoint2
Version:        0.0.6
Release:        13.1
Url:            https://github.com/ponty/entrypoint2
Summary:        Easy to use command-line interface for python modules, fork of entrypoint
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/e/entrypoint2/entrypoint2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-argparse
Requires:       python-decorator
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
entrypoint2 is an easy to use command-line interface for python modules, fork
of entrypoint.

%prep
%setup -q -n entrypoint2-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Jan 13 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jun 15 2012 os-dev@jacraig.com
- Update to 0.0.6.  Upstream provides no changelog, but looking at the (4)
  commits on github since 0.0.5, I see these changes:
  * Update documentaiton
  * Support repeated arguments
  * Use PEP8 formatting
- Add Requires entries for python-argparse and -decorator
* Mon Mar 26 2012 saschpe@suse.de
- Initial version
